@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

:root{
    --maincolor:#2ec8a6;
    --secondcolor:#f8a803;
    --thirdcolor:#f4ab01;
    --textcolor:#4A5764;
}
*{
    margin:0; 
    padding:0;
    box-sizing: border-box;
    outline: none; 
    border:none;
    text-decoration: none;
    text-transform: capitalize;
    transition:all .2s linear;
    font-family: "Inter", sans-serif;
    
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}
header{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 7%;
    width: 100%;
    /* box-shadow: 0 .5rem 1rem rgba(0,0,0,.1); */
    z-index: 1000;
    /* background-color: white !important; */

}
.scrolled {
    background-color: white !important;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
}
.logo{
    display: flex;
    text-align: center;
    align-items: center;
}
.logo img{
    width: 50px;
}
.logo h2{
    margin: 0;
    font-size: 30px;
}
.navbar a{
    color: var(--textcolor);
    font-size: 1.7rem;
    margin: 1rem;
    position: relative;
    transition: 0.5s;
}
.navbar a:hover{
    color: var(--maincolor);
}

.navbar a::after{
    content: "";
    background-color: var(--maincolor);
    width: 0;
    position: absolute;
    height: 0.2rem;
    left: 0;
    margin-top: 0.5rem;
    top: 100%;
    transition: 0.5s;
}
.navbar a:hover::after{
    width: 100%;
}

#menu-bars{
    color: var(--textcolor);
    font-size: 2.5rem;
    cursor: pointer;
    margin-right: 1rem;
    display: none;
}
#menu-bars:hover{
    color: var(--maincolor);
}
.right-icons .btn{

    padding: 1.2rem 2rem;
    font-size: 1.7rem;
    background: var(--maincolor);
    color: white;
    text-decoration: none;
    cursor: pointer;
    border-radius: 20px;
}
.right-icons .btn:hover{
    background-color: var(--secondcolor);
    
}

/* header section ended */

/* Home section started */

.main-home {
    padding: 2rem 7%;
    background-image: url(images/blurbg1.jpg);
    width: 100%;
    min-height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed; /* Gambar latar belakang akan tetap di posisi tetap saat digulir */
}


.home{
    display: flex;
    justify-content: center; /* Pusatkan elemen .home secara horizontal */
    align-items: center; /* Pusatkan elemen .home secara vertikal */
    height: 100vh; /* Set tinggi elemen .home sama dengan tinggi layar */
    margin-top: 6rem;
    flex-wrap: wrap;
    gap: 1rem;
}
.home .home-left-content{
    flex: 1 1 40rem;
    text-align: center; /* Pusatkan teks secara horizontal */
    max-width: 600px; /* Batasi lebar konten agar tidak terlalu lebar */
    margin-right: 20px; /* Berikan margin kanan terhadap elemen navigasi */
    margin-top: -200px;
}

.home-left-content span{
    font-size: 2rem;
    color: var(--maincolor);
    padding: 1rem 0;
    font-weight: bolder;
}
.home-left-content h2{
    font-size: 48px;
    margin: 1rem 0;
    
}
.home-left-content p{
    font-size: 1.7rem;
    color: var(--textcolor);
    line-height: 3rem;
}


.technology{
    padding: 3rem 7%;
}

.main-technology{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 3rem;
    margin-top: -300px;
}
.inner-technology {
    flex: 1 1 auto; /* Menyesuaikan ukuran kartu dengan konten */
    padding: 20px; /* Padding */
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px; /* Efek bayangan */
    background-image: url(images/backgroung-pattern-1.png); /* Gambar latar */
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    background-color: white;
    position: relative;
    z-index: 1;
    width: 300px; /* Menetapkan lebar kartu */
    height: 200px; /* Menetapkan tinggi kartu */
    display: flex; /* Mengatur display menjadi flex */
    flex-direction: column; /* Mengatur arah fleks menjadi kolom */
    align-items: center; /* Pusatkan konten vertikal */
    justify-content: center; /* Pusatkan konten horizontal dan vertikal */
    text-align: center; /* Pusatkan teks secara horizontal */
    border-radius: 10px;
}

.inner-technology span{
    width: 0;
    height: 100%;
    background-color: var(--maincolor);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: 0.5s;
    
}
.inner-technology:hover span{
    width: 100%;
}


/* .inner-technology:hover{
    background: var(--maincolor);
    
} */

.inner-technology:hover i{
    
    color: white;
}
.inner-technology:hover h2{
    color: white;
}
.inner-technology i{
    font-size: 48px;
    color: var(--maincolor);
}

.inner-technology h2{
    font-size: 2.5rem;
    margin: 0;
    padding: 1rem 0;
}

